<div class="group-container group-position-details" {{did-insert this.setup}} {{did-update this.setup @details @position}}>
  <Attributes::Group @group={{this.group}}>
    <Attributes::Value @key="type" @name={{t "location mode"}} @value={{this.translatedType}} @options={{this.typeOptions}} @format="options" @onChange={{this.changeType}} />

    {{#if this.showPositionFields}}
      {{#if this.showDetails}}
        <Attributes::Value @key="longitude" @name={{t "longitude"}} @value={{this.longitude}} @format="number" @onChange={{this.changePosition}} @disabled={{this.hasReadOnlyFields}} />
        <Attributes::Value @key="latitude" @name={{t "latitude"}} @value={{this.latitude}} @format="number" @onChange={{this.changePosition}} @disabled={{this.hasReadOnlyFields}} />
        <Attributes::Value @key="altitude" @name={{t "altitude"}} @value={{this.altitude}} @format="number" @onChange={{this.changeDetails}} @disabled={{this.hasReadOnlyFields}} />
        <Attributes::Value @key="accuracy" @name={{t "accuracy"}} @value={{this.accuracy}} @format="number" @onChange={{this.changeDetails}} @disabled={{this.hasReadOnlyFields}} />
        <Attributes::Value @key="altitudeAccuracy" @name={{t "altitude accuracy"}} @value={{this.altitudeAccuracy}} @format="number" @onChange={{this.changeDetails}} @disabled={{this.hasReadOnlyFields}} />
      {{/if}}

      <button type="button" class="btn btn-outline-secondary btn-expand mt-3 d-block" {{on "click" this.toggleDetails}}>
        {{#if this.showDetails}}
          <FaIcon @icon="chevron-up" />
          {{capitalize (t "hide advanced details")}}
        {{else}}
          <FaIcon @icon="chevron-down" />
          {{capitalize (t "show advanced details")}}
        {{/if}}
      </button>
    {{/if}}

    {{#if this.showAddressFields}}
      <Attributes::Value @key="searchTerm" @name={{t "search an address"}} @value={{this.searchTerm}} @format="text" @onChange={{this.changeSearchTerm}} />

      {{#if @searchResults}}
        <Attributes::Value @key="address" @name={{t "address"}} @value={{this.selectedAddress}} @options={{@searchResults}} @format="options" @onChange={{this.changeAddress}} />
      {{/if}}
    {{/if}}
  </Attributes::Group>
</div>